import * as React from 'react';
import { deepOrange500 } from 'material-ui/styles/colors';
import getMuiTheme from 'material-ui/styles/getMuiTheme';
import MuiThemeProvider from 'material-ui/styles/MuiThemeProvider';

import { Router } from 'react-router';
import * as History from 'history';

import { Main } from './containers/Main';
import { Routes } from './Routes';

import { Layout } from './containers/test/layout/Layout';

// const history = History.createHashHistory();

const styles = {
  container: {
    textAlign: 'center',
    paddingTop: 200,
  },
};

const muiTheme = getMuiTheme({
  palette: {
    accent1Color: deepOrange500,
  },
});

export class App extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);
  }


  render() {
    return (
      <div>
        
        <Layout />
        
        
        
      </div>
    );
  }
}
