import * as React from 'react';
import { Table, Label } from 'semantic-ui-react';


export class DiscoveryProbe extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {};
  }

  // componentWillMount() {
  //   console.log(this.props.probe);
  // }

  handle() {
    this.props.onProbeChange();
  }

  render() {
    return (
      <div>Probe Details...
        <Table celled={false}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Domain</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.domain.name}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Status</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.metaProbeStatus.name}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon >Host IP</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.ip}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon >Host Name</Label>
              </Table.Cell>
              <Table.Cell>Geek`s Ubuntu</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Authorized at</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.createAt}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Description</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.description}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Last polling at</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.lastPollingAt}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Label ribbon>Next polling at</Label>
              </Table.Cell>
              <Table.Cell>{this.props.probe.nextPollingAt}</Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>

      </div>
    )
  }

}