import * as React from 'react';
import { Button, Table } from 'semantic-ui-react';
import { Sensors } from './Sensors';
import { DetailContainer } from './commons/DetailContainer';


export class TargetDetails extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  handleBack() {
  }

  handleRemoveTarget() {
    alert('remove');
  }

  render() {

    const items = [
      { name: 'Info', child: <TargetBasicInfo probe={this.props.probe} /> },
      { name: 'Sensors', child: <Sensors probe={this.props.probe}/> },
    ];

    return (
      <DetailContainer panes={items}/>
    );
  }
}



export class TargetBasicInfo extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  handleRemoveTarget() {
    alert('remove');
  }

  render() {
    return (
      <div>
        <Table celled={true}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                Name
            </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                Type
            </Table.Cell>
              <Table.Cell>
                ????
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                Sensor count
            </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

            <Table.Row>
              <Table.Cell collapsing>
                Created at
            </Table.Cell>
              <Table.Cell>
                ???
            </Table.Cell>
            </Table.Row>

          </Table.Body>
        </Table>
        <Button primary floated={'right'} negative onClick={this.handleRemoveTarget}>Remove</Button>

      </div>
    );
  }
}